# $FreeBSD: ports/Mk/bsd.options.desc.mk,v 1.122 2012/08/31 22:52:45 avilla Exp $
#
# READ BEFORE EDITING:
# - Please keep descriptions sorted alphabetically by variable name.
#
# - Please respect these limits or the dialog options wrap or get cutoff
#  - OPTNAME_DESC?= must be 19 characters or less
#  - OPTION description text must be 43 characters or less
#

Options_Desc_MAINTAINER=	ports@FreeBSD.org

# OPTION_DESC:		 Description:
#  Length         |	|                   Length                |
#
A52_DESC?=		AC-3 support via liba52
AAC_DESC?=		AAC/MP4 format support
AACPLUS_DESC?=		AAC support via libaacplus
AALIB_DESC?=		AAlib graphics library support
ALSA_DESC?=		ALSA audio architecture support
AMR_DESC?=		AMR 3GPP speech codec support (opencore)
AMR_NB_DESC?=		AMR Narrow Band audio support (opencore)
AMR_WB_DESC?=		AMR Wide Band audio support (opencore)
AO_DESC?=		libao audio library support
APACHE_DESC?=		Apache server support
APE_DESC?=		Monkey's Audio lossless format support
ARCHIVE_DESC?=		bzip2/zip/iso9660 archive support
ARTS_DESC?=		aRts audio system support
ASM_DESC?=		Use optimized assembly code
ASPELL_DESC?=		Spell checking support via GNU Aspell
ASSERT_DESC?=		Enable debug assertions
AVAHI_DESC?=		Zeroconf support (via Avahi)
BDB_DESC?=		Berkeley DB support
BDB1_DESC?=		Berkeley DB 1.85 support
BOOST_DESC?=		Boost C++ libraries support
BZIP2_DESC?=		bzip2 compression support
CACA_DESC?=		libcaca graphics library support
CAIRO_DESC?=		Cairo graphics library support
CARES_DESC?=		Asynchronous DNS resolution via c-ares
CDDA2WAV_DESC?=		CD ripping support (cdda2wav)
CDDB_DESC?=		CDDB (compact disc database) support
CDIO_DESC?=		CDIO support via libcdio
CDPARANOIA_DESC?=	CD ripping support (cdparanoia)
CELT_DESC?=		CELT audio codec support
CFITSIO_DESC?=		FITS support via CFITSIO
COMPOSITE_DESC?=	X11 Composite extension support
CUE_DESC?=		Embedded CUE sheets support
CUPS_DESC?=		CUPS printing system support
CURL_DESC?=		Data transfer support via cURL
DAGRAB_DESC?=		CD ripping support (dagrab)
DATA_DESC?=		Install data files
DBM_DESC?=		DBM support
DBUS_DESC?=		D-Bus IPC system support
DCA_DESC?=		DTS support via libdca
DCRAW_DESC?=		dcraw (raw image converter) support
DEBUG_DESC?=		Install debug symbols
DEVD_DESC?=		Install devd(8) files
DIRAC_DESC?=		Dirac support via libdirac
DOCS_DESC?=		Build and install documentation
DOXYGEN_DESC?=		Build documentation with Doxygen
DV_DESC?=		Quasar DV video codec support (libdv)
DVDCSS_DESC?=		Encrypted DVD support via libdvdcss
ECW_DESC?=		ECW image format support
ESOUND_DESC?=		EsounD sound server support
EXAMPLES_DESC?=		Build and install examples
EXPAT_DESC?=		Expat XML parser support
FAAC_DESC?=		FAAC AAC encoder support
FAAD_DESC?=		FAAD AAC decoder support
FAM_DESC?=		File Alteration Monitor support
FASTCGI_DESC?=		FastCGI support
FFMPEG_DESC?=		FFmpeg support (WMA, AIFF, AC3, APE...)
FFTW_DESC?=		Discrete Fourier Transform support
FLAC_DESC?=		FLAC lossless audio codec support
FONTCONFIG_DESC?=	X11 font configuration support
FPECTL_DESC?=		Floating point exception handling
FPX_DESC?=		FlashPix image format support
FREETDS_DESC?=		FreeTDS library support
FREETYPE_DESC?=		TrueType font rendering support
FREI0R_DESC?=		Frei0r video plugins support
FUSE_DESC?=		FUSE (Filesystem in Userspace) support
GCONF_DESC?=		GConf configuration backend support
GD_DESC?=		GD graphics library support
GDBM_DESC?=		GNU dbm library support
GDM_DESC?=		Install GDM login manager
GEOIP_DESC?=		GeoIP support
GEOS_DESC?=		GEOS support
GEOTIFF_DESC?=		GeoTIFF file format support
GGI_DESC?=		General Graphics Interface support
GIF_DESC?=		GIF image format support
GLADE_DESC?=		Glade interface builder support
GMP_DESC?=		GMP (multiple precision arithmetic) support
GNOME_DESC?=		GNOME desktop environment support
GNOMEVFS2_DESC?=	GnomeVFS2 support
GNUPG_DESC?=		GNU Privacy Guard support
GNUPLOT_DESC?=		Plotting support via gnuplot
GNUTLS_DESC?=		SSL/TLS support via GnuTLS
GOGO_DESC?=		GOGO MP3 encoder support
GPERFTOOLS_DESC?=	Google gperftools support
GRAPHMAGICK_DESC?=	GraphicsMagick support
GRAPHVIZ_DESC?=		Graphviz support
GRASS_DESC?=		GRASS support
GSM_DESC?=		GSM codec support
GSSAPI_DESC?=		GSSAPI support
GSTREAMER_DESC?=	Multimedia support via GStreamer
GTK1_DESC?=		GTK+ 1 GUI toolkit support
GTK2_DESC?=		GTK+ 2 GUI toolkit support
GTK3_DESC?=		GTK+ 3 GUI toolkit support
GUI_DESC?=		GUI (Graphical User Interface) support
GUILE_DESC?=		Guile extension language support
GVFS_DESC?=		Virtual filesystems support via GVFS
H323_DESC?=		H.323 support
HAL_DESC?=		HAL (Hardware Abstraction Layer) support
HDF5_DESC?=		HDF-5 data format support
HTTPD_DESC?=		httpd output streaming support
ICONS_DESC?=		Install icons theme
ICONV_DESC?=		Encoding conversion support via iconv
ID3_DESC?=		ID3 tags support
ID3TAG_DESC?=		ID3 v1/v2 tags support
IDN_DESC?=		International Domain Names support
IMAGEMAGICK_DESC?=	ImageMagick support
IMLIB_DESC?=		imlib image library support
IMLIB2_DESC?=		imlib2 image library support
IODBC_DESC?=		ODBC backend via iODBC
IPV6_DESC?=		IPv6 protocol support
JABBER_DESC?=		Jabber support
JACK_DESC?=		JACK audio server support
JASPER_DESC?=		JPEG 2000 support via JasPer
JAVA_DESC?=		JAVA platform support
JBIG_DESC?=		JBIG image format support
JHEAD_DESC?=		jhead EXIF manipulator support
JPEG_DESC?=		JPEG image format support
KDE3_DESC?=		KDE 3 desktop environment support
KDE4_DESC?=		KDE 4 desktop environment support
KERBEROS_DESC?=		Kerberos support
KERBEROS4_DESC?=	Kerberos 4 support
KERBEROS5_DESC?=	Kerberos 5 support
KML_DESC?=		KML support
LADSPA_DESC?=		LADSPA audio plugins support
LAME_DESC?=		LAME MP3 encoder support
LASH_DESC?=		LASH audio support
LASTFM_DESC?=		Last.fm streaming support
LATEX_DESC?=		LaTeX support
LCMS2_DESC?=		LCMS2 support
LDAP_DESC?=		LDAP support
LDAPS_DESC?=		LDAPS support
LFS_DESC?=		Large files support
LIBBLURAY_DESC?=	libbluray support
LIBEDIT_DESC?=		readline support
LIBEV_DESC?=		libev support
LIBEXIF_DESC?=		libexif support
LIBEXTRACTOR_DESC?=	libextractor support
LIBMNG_DESC?=		libmng support
LIBPAPER_DESC?=		libpaper support
LIBRSVG2_DESC?=		librsvg-2 support
LIBVISUAL_DESC?=	libvisual support
LIBWMF_DESC?=		libwmf support
LIBWRAP_DESC?=		TCP wrapper support
LIBXINE_DESC?=		libxine support
LIGHTTPD_DESC?=		Lighttpd server support
LIRC_DESC?=		LIRC support
LITE_DESC?=		Reduced features and memory footprint
LQR_DESC?=		Liquid Rescale support
LUA_DESC?=		Lua scripting language support
LZMA_DESC?=		LZMA compression support
MAD_DESC?=		MAD MP3 decoder support
MAGICK_DESC?=		ImageMagick library support
MANPAGES_DESC?=		Build and install manual pages
MAPSERVER_DESC?=	Mapserver support
MDNSRESPONDER_DESC?=	Zeroconf support (via mDNSResponder)
MIKMOD_DESC?=		MOD audio format support
MIXER_DESC?=		Mixer support
MJPEGTOOLS_DESC?=	MJPEG Tools support
MMKEYS_DESC?=		Multimedia keys support
MMS_DESC?=		MMS streaming support
MMX_DESC?=		Use MMX optimized routines
MODPERL_DESC?=		mod_perl support
MODPLUG_DESC?=		MODPLUG decoder support
MOTIF_DESC?=		Motif widget library support
MP3_DESC?=		MP3 audio format support
MP4_DESC?=		MP4 format support
MPEG2_DESC?=		MPEG-2 support via libmpeg2
MPG123_DESC?=		MP3 decoding support via mpg123
MPLAYER_DESC?=		MPlayer media player support
MPLS_DESC?=		MPLS support
MPP_DESC?=		Musepack audio format support
MSQL_DESC?=		mSQL backend
MTP_DESC?=		MTP device support
MULTIBYTE_DESC?=	Multibyte character encoding support
MUSEPACK_DESC?=		MPC audio format support
MYSQL_DESC?=		MySQL backend
MYSQL_JDBC_DESC?=	JDBC connection to MySQL databases
NAS_DESC?=		Network Audio System support
NETCDF_DESC?=		NetCDF data format support
NETPBM_DESC?=		Netpbm toolkit support
NLS_DESC?=		Native Language Support
NOTIFY_DESC?=		Startup notification support
NTLM_DESC?=		NTLM authentication support
NUMPY_DESC?=		NumPy mathematical computing support
ODBC_DESC?=		ODBC backend
ODF_DESC?=		ODF file support
OGG_DESC?=		OGG format support
OPENAL_DESC?=		OpenAL support
OPENCV_DESC?=		OpenCV support
OPENEXR_DESC?=		HDR support via OpenEXR
OPENGL_DESC?=		OpenGL support
OPENJPEG_DESC?=		Enhanced JPEG graphics support
OPENMP_DESC?=		Parallel processing support via OpenMP
OPENSSL_DESC?=		SSL/TLS support via OpenSSL
OPTIMIZED_CFLAGS_DESC?=	Use extra compiler optimizations
ORACLE_DESC?=		Oracle database support
ORACLE_JDBC_DESC?=	JDBC connection to Oracle databases
OSD_DESC?=		On-screen display support
OSS_DESC?=		Open Sound System support
PAM_DESC?=		PAM support
PANGO_DESC?=		Pango rendering library support
PCRE_DESC?=		Use Perl Compatible Regular Expressions
PDF_DESC?=		PDF document support
PERL_DESC?=		Perl scripting language support
PGO_DESC?=		Use Profile-Guided Optimization
PGSQL_DESC?=		PostgreSQL backend
PGSQL_JDBC_DESC?=	JDBC connection to PostgreSQL databases
PHP_DESC?=		PHP binding/support
PIXBUF_DESC?=		GDK-PixBuf library support
PNG_DESC?=		PNG image format support
POPPLER_DESC?=		PDF and PS file support
PORTAUDIO_DESC?=	PortAudio library support
POSTGIS_DESC?=		PostGIS support
PRINT_DESC?=		Printer support
PROFILE_DESC?=		Profiling library support
PROJ_DESC?=		PROJ.4 support
PROXY_DESC?=		Proxy support
PTH_DESC?=		Use GNU Pth for threading/multiprocessing
PULSEAUDIO_DESC?=	PulseAudio sound server support
PYMALLOC_DESC?=		Use Python's internal malloc
PYTHON_DESC?=		Python binding/support
QUICKTIME_DESC?=	QuickTime support
QT4_DESC?=		Qt 4 toolkit support
RADIUS_DESC?=		RADIUS protocol support
RAW_DESC?=		RAW support
RESIN3_DESC?=		Resin 3.x support
RTMP_DESC?=		RTMP protocol support via librtmp
RUBY_DESC?=		Ruby binding/support
SAMPLERATE_DESC?=	Sample rate conversion support
SASL_DESC?=		SASL support
SCHROEDINGER_DESC?=	Dirac support via libschroedinger
SCIPY_DESC?=		SciPy scientific computing support
SDL_DESC?=		Simple Direct Media Layer support
SEM_DESC?=		POSIX semaphores support
SHOUTCAST_DESC?=	Ogg Icecast and SHOUTcast support
SIMD_DESC?=		Use CPU-specific optimizations
SMB_DESC?=		SMB protocol support
SNAPPY_DESC?=		Snappy compression library support
SNDFILE_DESC?=		libsndfile support
SNMP_DESC?=		SNMP protocol support
SPANDSP_DESC?=		Spandsp faxing support
SPEEX_DESC?=		Speex audio format support
SQL_DESC?=		SQL database backend
SQLITE_DESC?=		SQLite backend
SQLITE3_DESC?=		SQLite3 backend
SSE_DESC?=		Use SSE optimized routines
SSH_DESC?=		SSH protocol support
SSL_DESC?=		SSL protocol support
STATIC_DESC?=		Build static executable/libraries
SVG_DESC?=		SVG image format support
SVGALIB_DESC?=		SVGA graphics support
SVN_DESC?=		Subversion support
SWFDEC_DESC?=		Flash support via Swfdec
SZIP_DESC?=		Szip compression support
TCL_DESC?=		Tcl scripting language support
TCLTK_DESC?=		Tcl/Tk toolkit support
THEORA_DESC?=		Ogg Theora support
THREADS_DESC?=		Threading support
TIDY_DESC?=		Tidy HTML cleaner support
TIFF_DESC?=		TIFF image format support
TINYXML_DESC?=		XML parser support via TinyXML
TK_DESC?=		Tk toolkit support
TLS_DESC?=		TLS support
TOMCAT5_DESC?=		Tomcat 5.x support
TOMCAT6_DESC?=		Tomcat 6.x support
TOMCAT7_DESC?=		Tomcat 7.x support
TREMOR_DESC?=		Tremor decoder support
UCS2_DESC?=		Unicode UCS-2 encoding support
UCS4_DESC?=		Unicode UCS-4 encoding support
UNIXODBC_DESC?=		ODBC backend via unixODBC
UNZIP_DESC?=		UnZip compression support
UPNP_DESC?=		UPnP support
UTF8_DESC?=		UTF-8 encoding support
VAAPI_DESC?=		VAAPI (GPU video acceleration) support
VDPAU_DESC?=		VDPAU (GPU video acceleration) support
VO_AACENC_DESC?=	AAC audio encoding via vo-aacenc
VO_AMRWBENC_DESC?=	AMR Wide Band encoding via vo-amrwbenc
VORBIS_DESC?=		Ogg Vorbis audio codec support
VPX_DESC?=		VP8 video codec support
WAV_DESC?=		WAV audio format support
WAVPACK_DESC?=		WavPack lossless audio format support
WEBP_DESC?=		WebP image format support
WEBSERVER_DESC?=	Build and install internal web server
WMF_DESC?=		Windows Metafile support
WXGTK_DESC?=		wxGTK GUI toolkit support
X11_DESC?=		X11 support (graphics)
X264_DESC?=		H.264 video codec support via x264
XALAN_DESC?=		Xalan XSLT processor support
XCURSOR_DESC?=		Cursor themes support
XERCES_DESC?=		Xerces XML parser support
XFT_DESC?=		Xft font library support
XINERAMA_DESC?=		X11 Xinerama extension support
XKLAVIER_DESC?=		Keyboard layout settings
XML_DESC?=		XML parser support
XPM_DESC?=		XPM pixmaps support
XRANDR_DESC?=		X11 XRandR extension support
XSPF_DESC?=		XSPF playlist format support
XVID_DESC?=		Xvid MPEG-4 video codec support
XVIDEO_DESC?=		X11 Video extension library support
XVMC_DESC?=		X11 XvMC video extension support
YAML_DESC?=		YAML format support
ZLIB_DESC?=		zlib compression support
